module.exports = {
  root: true,
  env: {
    node: true,
  },
  extends: [
    "plugin:vue/essential",
    "eslint:recommended",
    "@vue/typescript/recommended",
    "@vue/prettier",
    "@vue/prettier/@typescript-eslint",
  ],
  parserOptions: {
    ecmaVersion: 2020,
  },
  rules: {
    "no-console": process.env.NODE_ENV === "production" ? "warn" : "off",
    "no-debugger": process.env.NODE_ENV === "production" ? "warn" : "off",
    "comma-style": ["error", "last"],
    "@typescript-eslint/explicit-function-return-type": "off",
    "prettier/prettier": [
      'error',
      {
        endOfLine: "auto",
        trailingComma: "none",
        semi: true
      }
    ]
  },
};
